<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xcantidad=$_REQUEST['xcantidad'];
@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$mp = new Masterpack;

switch($xaccion){
	
	case "adicionar": 
		if($mp->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Masterpack creado satisfactoriamente.")
			parent.location.href="../masterpack.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($mp->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Masterpack modificado satisfactoriamente.")
			parent.location.href="../masterpack.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->masterpack($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
		
			if($mp->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Masterpack eliminado satisfactoriamente.")
				parent.location.href="../masterpack.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($mp->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Masterpack{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xcantidad;		

		$r = mysqli_query($conexion,"insert into masterpack (mp_nombre, 
												  mp_abreviatura,
												  mp_usu_crea,
												  mp_cantidad)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion',
												'$xcantidad');");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL MASTERPACK YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php	
		}			
				
	}	
	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xcantidad;		

		$r = mysqli_query($conexion,"update masterpack set mp_nombre = '$xnombres', 
												  mp_abreviatura = '$xabreviatura',
												  mp_usu_modifica = '$xusuario_sesion',
												  mp_cantidad = '$xcantidad'
										where mp_codi = $xid;");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL MASTERPACK YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php										
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from masterpack where mp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update masterpack set mp_estado = '$xestado',
															 mp_usu_activa	= '$xusuario_sesion'
														where mp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
